> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Get action run log details



## OpenAPI

````yaml /api-reference/membrane-api.json get /action-run-logs/{id}/details
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /action-run-logs/{id}/details:
    get:
      tags:
        - ActionRunLogs
      summary: Get action run log details
      operationId: getActionRunLogDetails
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionRunLogRecordDetailsDto'
components:
  schemas:
    ActionRunLogRecordDetailsDto:
      type: object
      properties:
        input:
          description: Action run input
          type: object
          additionalProperties:
            type: object
        logs:
          description: Per-step run logs
          type: array
          items:
            type: object
            additionalProperties:
              type: object
        action:
          description: Action snapshot the run executed against
          type: object
          additionalProperties:
            type: object
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````